import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 970;
const height = 665;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 110;
const eyeOffsetY = 30;

const eyeInnerUpRadius = 18;
const eyeInnerUpOffsetX = 90;
const eyeInnerUpOffsetY = 58;

const eyeInnerDownRadius = 20;
const eyeInnerDownOffsetX = 90;
const eyeInnerDownOffsetY = 4;

const CheeksRadius = 20;
const CheeksOffsetX = 115;
const CheeksOffsetY = -60;

const mouthWidth = 3;
const mouthRadius = 25;

const mouthOffsetX = 27;
const mouthOffsetY = 0;


const cheekOffsetX = 90;
const cheekOffsetY = 100;


const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3 / 2);

const cheekArc = arc()
  .innerRadius(0)
  .outerRadius(100 )
  .startAngle(Math.PI /6)
  .endAngle(Math.PI * 1);

const App = () => (
  <svg width={width} height={height}>
    
    //Eyes
    <g transform={`translate(${centerX},${centerY})`}>
      <ellipse
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        rx = {30}
        ry={50}
        fill = {'#8A5D4A'}
      />
      <ellipse
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        rx = {30}
        ry={50}
        fill = {'#8A5D4A'}
      />

    </g>
    
    //Inner Up Eyes
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        cx={-eyeOffsetX}
        cy={-eyeInnerUpOffsetY}
        r={eyeInnerUpRadius}
        fill={'white'}
      />
      
      <circle
        cx={eyeOffsetX}
        cy={-eyeInnerUpOffsetY}
				r={eyeInnerUpRadius}
        fill={'white'}
      />
    </g>
    
    //Inner Down Eyes
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        cx={-eyeOffsetX}
        cy={-eyeInnerDownOffsetY}
        r={eyeInnerDownRadius}
        fill={'#CFA984'}
      />
      
      <circle
        cx={eyeOffsetX}
        cy={-eyeInnerDownOffsetY}
				r={eyeInnerDownRadius}
        fill={'#CFA984'}
      />
    </g>
    
    
    //Cheeks
    <g transform={`translate(${centerX},${centerY})`}>
      <ellipse
        cx={-CheeksOffsetX}
        cy={-CheeksOffsetY}
        rx = {50}
        ry={25}
        fill = {'#F6836E'}
				stroke-width={2}
        stroke={"#B6725D"}
      />
      <ellipse
        cx={CheeksOffsetX}
        cy={-CheeksOffsetY}
        rx = {50}
        ry={25}
        fill = {'#F6836E'}
        stroke-width={2}
        stroke={"#B6725D"}
      />

    </g>
    

    // mouth
    <g transform={`translate(${centerX+mouthOffsetX},${centerY})`}>
      <path 
        d={mouthArc()}
        fill='#8A5C4D' 
        />
    </g>
    
    <g transform={`translate(${centerX-mouthOffsetX},${centerY})`} >
      <path 
        d={mouthArc()} 
        fill='#8A5C4D' 
        />
    </g>
    

    
    
  </svg>
);

const rootElement = document.getElementById('face-features');

ReactDOM.render(<App />, rootElement);